Packages - Bug #1752
Packaging Request # 1816 (not-a-bug): [iceweasel] 61.0.2 still needs built for [armv7h]

[iceweasel] (ARMv7) icu update to 61 breaks XPCOM dependencies
2018-04-21 03:34 AM - cafebedouin

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: lukeshu

Category:

Description

After updating, launching iceweasel with startx returns the following:

XPCOMGlueLoad error for file /usr/lib/iceweasel/libxul.so:

libicuil8m.so0.60 cannot open shared object file: No such file or directory

Couldn't load XPCOM.

Then exits.

I am new to Parabola. | did not see this particular bug listed, so thought I'd add it. However, it seems like upgrading icu to the newest
version tends to break iceweasel, and icu is updated on a 3 month cycle. Is the best method for managing this issue just to add icu to

IgnorePkg in pacman.conf, downgrading icu from cache, or something else?

Using an armv7h on an ASUS C201 and have used pacman -Syyu.

History

#1 - 2018-04-21 03:43 AM - bill-auger

- Assignee set to oaken-source

- Status changed from open to info needed
- Description updated

- Subject changed from [iceweasel] icu update to 61 breaks XPCOM dependencies to [iceweasel] (ARMv7) icu update to 61 breaks XPCOM
dependencies

could you explain in more detail the steps that would need to be done to reproduce your situation?
something like:

starting from a fully installed system that was running properly ?

$ pacman -Syyu

then reboot ?

then where and when do you see that error ?

what do you mean by "launching iceweasel with startx" ?

are you saying that iceweasel is in your .xinitrc ?
or is the graphical environment already running and you see that error when you type 'iceweasel' in a terminal ?

#2 - 2018-04-21 06:25 AM - oaken-source

- Status changed from info needed to open

yeah, this is a very unfortunate, recurring, known issue.

arm support for the somewhat more expensive to build packages has always been slow, simply due to hardware constraints.

#3 - 2018-08-27 02:59 AM - bill-auger
- Parent task set to #1816

#4 - 2018-08-27 03:17 AM - lukeshu

- Assignee changed from oaken-source to lukeshu
#5 - 2019-10-22 06:03 AM - bill-auger

- Status changed from open to not-a-bug

closing because this issue went stale - icu is at v64 in all repos, and ice* things are pending v68+ now

2024-04-20 22


http://www.tcpdf.org

